Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | List of all members
CSEditableContactEmailAddressField Class Reference

Represents a field in an EditableContact which stores an email address, inheriting the metadata description of the field from the original contact field. More...

`#import <CSEditableContactEmailAddressField.h>`

Inherits CSContactEmailAddressField.

## Instance Methods
(void) | - setAddress:
| Sets or updates the email Address. More...
(void) | - setLabel:
| Sets or updates the email Address label. More...
(void) | - setEmailAddressType:
| Sets or updates the email Address type. More...

## Additional Inherited Members
Properties inherited from CSContactEmailAddressField
CSContactEmailAddressType | type
| The type of this email address (e.g. More...
NSString * | address
| The email address. More...
NSString * | label
| The email label. More...
Properties inherited from CSContactField
CSCapability * | writeCapability
| Write capability for particular field. More...
CSProviderSourceType | source
| Provider source type for particular field. More...

## Detailed Description

Represents a field in an EditableContact which stores an email address, inheriting the metadata description of the field from the original contact field.

In order to add a new email address create object of this class and add to the email addresses collection.

## Method Documentation

- (void) setAddress: |  | (NSString *) | address |

Sets or updates the email Address.

Parameters

  address | The new email Address.

- (void) setEmailAddressType: |  | (CSContactEmailAddressType) | emailAddressType |

Sets or updates the email Address type.

Parameters

  emailAddressType | The new email Address type.

- (void) setLabel: |  | (NSString *) | label |

Sets or updates the email Address label.

Parameters

  label | The new email Address label.

The documentation for this class was generated from the following file:

- CSEditableContactEmailAddressField.h